#castle basement message #2
from eventAPI import *
from APIUtils import *

rtcastle0East = 0

def fireEvent(e):
   rtcastle0East = getTag(e, "rtcastle0East")
   if (rtcastle0East == 1):
      return 1
   else:
      showPicture(e, "Blue_Vortex")
      showMessage(e, ["You passage is blocked by a strange barrier.", "", "A bodiless voice speaks to you."])
      showMessage(e, ["A fleet of ships sailed east to conquer new lands.", "", "Twice as many sailors left as those that returned.", "", "A third of the men had died in battle.", "", "Three ships were sunk in a storm with a loss of 192 men totalling three fifths of those lost in battle.", ""])
      showMessage(e, ["The number who returned will show the way."])
   return 0